ChartDirector Ver 5.0 (PHP Edition)

DrawArea.waveTransform

Usage

waveTransform(period, amplitude [, direction [, startAngle [, longitudinal [, bgColor [, filter [, blur ]]]]]])

Description

Moves the pixels on the drawing surface according to a sinusoidal function to achieve a wave effect.

Arguments

Argument | Default | Description
--- | --- | ---
period | (Mandatory) | The period of the wave in pixels.
amplitude | (Mandatory) | The amplitude of the wave in pixels.
direction | 0 | The propagation direction of the wave. The upward pointing direction is 0 degree, and the angle is measured clockwise.
startAngle | 0 | The initial phase angle of the wave in degrees.
longitudinal | false (zero) | Determine if the wave is transversal or longitudinal. true (non-zero) means transversal. false (zero) means longitudinal.
bgColor | FFFFFF | The background color used to fill the space left after transformation.
filter | LinearFilter | The filter to use for re-sampling.
blur | 1 | The blur factor to use for re-sampling.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.